# Uses of Class
org.h2gis.functions.io.shp.internal.ShapeType

Packages that use ShapeType
Package
Description
org.h2gis.functions.io.shp.internal

## Uses of ShapeType in org.h2gis.functions.io.shp.internal

Fields in org.h2gis.functions.io.shp.internal declared as ShapeType
Modifier and Type
Field
Description
`static final ShapeType`
ShapeType.`ARC`
Represents an Arc shape (id = 3).
`static final ShapeType`
ShapeType.`ARCM`
Represents an ArcM shape (id = 23).
`static final ShapeType`
ShapeType.`ARCZ`
Represents an ArcZ shape (id = 13).
`static final ShapeType`
ShapeType.`MULTIPOINT`
Represents a MultiPoint shape (id = 8).
`static final ShapeType`
ShapeType.`MULTIPOINTM`
Represents a MultiPointZ shape (id = 28).
`static final ShapeType`
ShapeType.`MULTIPOINTZ`
Represents a MultiPointZ shape (id = 18).
`static final ShapeType`
ShapeType.`NULL`
Represents a Null shape (id = 0).
`static final ShapeType`
ShapeType.`POINT`
Represents a Point shape (id = 1).
`static final ShapeType`
ShapeType.`POINTM`
Represents a PointM shape (id = 21).
`static final ShapeType`
ShapeType.`POINTZ`
Represents a PointZ shape (id = 11).
`static final ShapeType`
ShapeType.`POLYGON`
Represents a Polygon shape (id = 5).
`static final ShapeType`
ShapeType.`POLYGONM`
Represents a PolygonM shape (id = 25).
`static final ShapeType`
ShapeType.`POLYGONZ`
Represents a PolygonZ shape (id = 15).
`static final ShapeType`
ShapeType.`UNDEFINED`
Represents an Undefined shape (id = -1).
Methods in org.h2gis.functions.io.shp.internal that return ShapeType
Modifier and Type
Method
Description
`static ShapeType`
ShapeType.`forID(int id)`
Determine the ShapeType for the id.
`ShapeType`
MultiLineHandler.`getShapeType()`
Get the type of shape stored (ShapeType.ARC,ShapeType.ARCM,ShapeType.ARCZ)
`ShapeType`
MultiPointHandler.`getShapeType()`
Returns the shapefile shape type value for a point
`ShapeType`
PointHandler.`getShapeType()`
Returns the shapefile shape type value for a point
`ShapeType`
PolygonHandler.`getShapeType()`
`ShapeType`
ShapefileHeader.`getShapeType()`
`ShapeType`
ShapeHandler.`getShapeType()`
Get the ShapeType of this handler.
Methods in org.h2gis.functions.io.shp.internal with parameters of type ShapeType
Modifier and Type
Method
Description
`void`
SHPDriver.`initDriver(File shpFile, ShapeType shapeType, DbaseFileHeader dbaseHeader)`
Init Driver for Write mode
`org.locationtech.jts.geom.Geometry`
MultiLineHandler.`read(ReadBufferManager buffer, ShapeType type)`
`org.locationtech.jts.geom.Geometry`
MultiPointHandler.`read(ReadBufferManager buffer, ShapeType type)`
`org.locationtech.jts.geom.Geometry`
PointHandler.`read(ReadBufferManager buffer, ShapeType type)`
`org.locationtech.jts.geom.Geometry`
PolygonHandler.`read(ReadBufferManager buffer, ShapeType type)`
`org.locationtech.jts.geom.Geometry`
ShapeHandler.`read(ReadBufferManager buffer, ShapeType type)`
Read a geometry from the ByteBuffer.The buffer's position, byteOrder, and limit are set to that which is needed.
`void`
ShapefileHeader.`write(WriteBufferManager shapeBuffer, ShapeType type, int numGeoms, int length, double minX, double minY, double maxX, double maxY)`
`void`
ShapefileWriter.`writeHeaders(ShapeType type)`
Write the headers for this shapefile.Use this function before inserting the first geometry, then when all geometries are inserted.
Constructors in org.h2gis.functions.io.shp.internal with parameters of type ShapeType
Modifier
Constructor
Description
``
`MultiLineHandler(ShapeType type)`
Create a MultiLineHandler for one of:
ShapeType.ARC,ShapeType.ARCM,ShapeType.ARCZ
``
`MultiPointHandler(ShapeType type)`
``
`PointHandler(ShapeType type)`
``
`PolygonHandler(ShapeType type)`